none
is the dot net frame 2.0 compatible to vista OS? if not may i know wht dot net frame work will compatible to vista?

    Question

  • is the dot net frame work 2.0 compatible to vista OS? if not may i know wht dot net frame work will compatible to vista?
    • Edited by Prabhu Kanna Tuesday, April 21, 2009 11:45 AM instead of type 2.0 to 2005
    Tuesday, April 21, 2009 11:37 AM

Answers

  • It is compatible, but if you are going to install .net framework then go for .net framework 3.5, since it good to get updated one and still .net 2.0 program runs without any difficulty.


    Arjun Paudel
    Tuesday, April 21, 2009 11:51 AM
  • In that case it's your application that requires the .NET Framework 2.0, not the OS. Vista ships with .NET 2.0 and 3.0 though. I don't know why there would be a problem with it. What's the error you're getting?
    Hobbyist programmer: VB.NET, C++, Pascal
    • Marked as answer by Prabhu Kanna Wednesday, May 06, 2009 11:45 AM
    Tuesday, April 21, 2009 12:17 PM

All replies

  • It is compatible, but if you are going to install .net framework then go for .net framework 3.5, since it good to get updated one and still .net 2.0 program runs without any difficulty.


    Arjun Paudel
    Tuesday, April 21, 2009 11:51 AM
  • All versions of .NET are compatible with Vista. Like Arjun, I would also suggest downloading .NET 3.5 since it will also install 2.0 and 3.0 versions.
    Hobbyist programmer: VB.NET, C++, Pascal
    Tuesday, April 21, 2009 11:58 AM
  • actually i created one application in .net framework 2.0. when i install in vista OS that showing error.... thats why i asked...
    Tuesday, April 21, 2009 12:01 PM
  • In that case it's your application that requires the .NET Framework 2.0, not the OS. Vista ships with .NET 2.0 and 3.0 though. I don't know why there would be a problem with it. What's the error you're getting?
    Hobbyist programmer: VB.NET, C++, Pascal
    • Marked as answer by Prabhu Kanna Wednesday, May 06, 2009 11:45 AM
    Tuesday, April 21, 2009 12:17 PM
  • That depends on which vista version he is using. I have home premium, new 5 months ago. It had 3.5, SP 1  already installed in the os.
    Diana
    Wednesday, April 22, 2009 4:26 AM